summaryrefslogtreecommitdiffstats
path: root/desktop/afterstep
diff options
context:
space:
mode:
author NetrixTardis <netrixtardis@stealth3.com>2010-05-12 23:28:15 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:15 +0200
commita837870fd88cdfb683f8568bd8806fef06c6e5e1 (patch)
treebf2dd214b0859ec937bcc38f29aae148d4866fcb /desktop/afterstep
parent6b859117113cce512fb90a4db49e33945b712e3b (diff)
downloadslackbuilds-a837870fd88cdfb683f8568bd8806fef06c6e5e1.tar.gz
slackbuilds-a837870fd88cdfb683f8568bd8806fef06c6e5e1.tar.xz
desktop/afterstep: Added to 12.2 repository
Diffstat (limited to 'desktop/afterstep')
-rw-r--r--desktop/afterstep/README7
-rw-r--r--desktop/afterstep/afterstep.SlackBuild77
-rw-r--r--desktop/afterstep/afterstep.info8
-rw-r--r--desktop/afterstep/slack-desc19
-rw-r--r--desktop/afterstep/xinitrc.afterstep17
5 files changed, 128 insertions, 0 deletions
diff --git a/desktop/afterstep/README b/desktop/afterstep/README
new file mode 100644
index 0000000000..efc0153479
--- /dev/null
+++ b/desktop/afterstep/README
@@ -0,0 +1,7 @@
+AfterStep is a window manager for the Unix X Window System.
+Originally based on the look and feel of the NeXTStep interface, it
+provides end users with a consistent, clean, and elegant desktop. The
+goal of AfterStep development is to provide for flexibility of desktop
+configuration, improving aestetics, and efficient use of system resources.
+Some of the distinguishing features of AfterStep compared to other window
+managers are its low usage of resources, stability, and configurability.
diff --git a/desktop/afterstep/afterstep.SlackBuild b/desktop/afterstep/afterstep.SlackBuild
new file mode 100644
index 0000000000..2b5579e277
--- /dev/null
+++ b/desktop/afterstep/afterstep.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for AfterStep WM
+# Written by NetrixTardis (netrixtardis@stealth3.com)
+
+PRGNAM=afterstep
+VERSION=${VERSION:-2.2.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=${SRCNAM:-AfterStep} # leave this alone
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SRCNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-i18n \
+ --enable-alsa \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/afterstep/doc/ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYRIGHT ChangeLog INSTALL NEW README TEAM UPGRADE doc/menu.txt \
+ doc/licences doc/languages doc/code $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/share/afterstep ; ln -s ../../doc/$PRGNAM-$VERSION doc )
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Take care of default xinitrc
+install -D -m 0755 $CWD/xinitrc.afterstep $PKG/etc/X11/xinit/xinitrc.afterstep
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/afterstep/afterstep.info b/desktop/afterstep/afterstep.info
new file mode 100644
index 0000000000..90c6614776
--- /dev/null
+++ b/desktop/afterstep/afterstep.info
@@ -0,0 +1,8 @@
+PRGNAM="AfterStep"
+VERSION="2.2.8"
+HOMEPAGE="http://www.afterstep.org"
+DOWNLOAD="ftp://ftp.afterstep.org/stable/AfterStep-2.2.8.tar.bz2"
+MD5SUM="8734622c9cb549f5baa8b3262312db70"
+MAINTAINER="NetrixTardis"
+EMAIL="netrixtardis@stealth3.com"
+APPROVED="rworkman"
diff --git a/desktop/afterstep/slack-desc b/desktop/afterstep/slack-desc
new file mode 100644
index 0000000000..dc298e1cdc
--- /dev/null
+++ b/desktop/afterstep/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |--------handy-ruler-------------------------------------------------|
+afterstep: AfterStep (a lightweight window manager)
+afterstep:
+afterstep: AfterStep is a window manager for the Unix X Window System.
+afterstep: Originally based on the look and feel of the NeXTStep interface,
+afterstep: it provides end users with a consistent, clean, and elegant
+afterstep: desktop. The goal of AfterStep development is to provide for
+afterstep: flexibility of desktop configuration, improving aestetics, and
+afterstep: efficient use of system resources.
+afterstep: Some of the distinguishing features of AfterStep compared to other
+afterstep: window managers are its low usage of resources, stability and
+afterstep: configurability.
diff --git a/desktop/afterstep/xinitrc.afterstep b/desktop/afterstep/xinitrc.afterstep
new file mode 100644
index 0000000000..f699f7b1c1
--- /dev/null
+++ b/desktop/afterstep/xinitrc.afterstep
@@ -0,0 +1,17 @@
+#!/bin/sh
+# $XConsortium: xinitrc.cpp,v 1.4 91/08/22 11:41:34 rws Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/lib/X11/xinit/.Xresources
+sysmodmap=/usr/lib/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+[ -f $sysresources ] && xrdb -merge $sysresources
+[ -f $sysmodmap ] && xmodmap $sysmodmap
+[ -f $userresources ] && xrdb -merge $userresources
+[ -f $usermodmap ] && xmodmap $usermodmap
+
+# Start the window manager:
+exec /usr/bin/afterstep
+